##
## $Id: Makefile.am,v 1.2 2001-09-27 11:59:46 chris Exp $
##

AUTOMAKE_OPTIONS = foreign 1.4

PGM = $(ARCH)/network.rel

C_FILES = network.c
C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)

H_FILES = netexterns.h uti596.h

OBJS = $(C_O_FILES)

include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
include $(top_srcdir)/../../../../../../automake/lib.am

#
# (OPTIONAL) Add local stuff here using +=
#

$(PGM): $(OBJS)
	$(make-rel)

# the .rel file built here will be put into libbsp.a by ../wrapup/Makefile

if HAS_NETWORKING
all-local: $(ARCH) $(OBJS) $(PGM)
endif

.PRECIOUS: $(PGM)

EXTRA_DIST = netexterns.h network.c uti596.h

include $(top_srcdir)/../../../../../../automake/local.am
